> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Requesting User

> Retrieves the requesting user, associated to the Bearer Token



## OpenAPI

````yaml get /api/v2/auth/me
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/auth/me:
    get:
      description: Retrieves the requesting user, associated to the Bearer Token
      operationId: ApiV2AuthController_getCurrentUser
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrentUserOutputDto'
      security:
        - bearer: []
components:
  schemas:
    CurrentUserOutputDto:
      type: object
      properties:
        id:
          type: string
          description: The unique primary key (UUID) of the entity.
        dateCreated:
          format: date-time
          type: string
        dateModified:
          format: date-time
          type: string
        dateDeleted:
          format: date-time
          type: string
          nullable: true
        email:
          type: string
        roles:
          type: array
          items:
            type: string
            enum:
              - B1_ADMIN
              - EMPLOYEE
              - COMPANY_ADMIN
              - FLEX_DOCUMENT_VERIFIER
              - TECHNICAL_USER
        companyId:
          type: string
          nullable: true
        employeeId:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        language:
          type: string
          enum:
            - B1_ADMIN
            - EMPLOYEE
            - COMPANY_ADMIN
            - FLEX_DOCUMENT_VERIFIER
            - TECHNICAL_USER
        groups:
          nullable: true
          type: array
          items:
            type: array
        dateRegistered:
          format: date-time
          type: string
          nullable: true
        manageableCompanyIds:
          nullable: true
          type: array
          items:
            type: array
        manageableCompanies:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/CompanyBaseOutputDto'
      required:
        - id
        - dateCreated
        - dateModified
        - email
        - roles
        - manageableCompanyIds
        - manageableCompanies
    CompanyBaseOutputDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````